%define momorel 1
%define __libtoolize :

Summary: A free, powerful and easy to use remote security scanner.
Name: nessus-libraries
Version: 2.2.4
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
%NoSource 0 ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/%{name}-%{version}.tar.gz 208eca80f4fb2de3f57328d92deb7f04
Patch0: nessus-libraries-2.2.2a-lib64.patch
URL: http://www.nessus.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel
Obsoletes: nessus-common

%description
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.

This package includes the libraries shared by both the Nessus client and
the Nessus server. You must install this package in order to use any one
of them.

%package devel
Group: Development/Libraries
Summary: Nessus static libraries and header files.
Requires: %{name} = %{version}-%{release}

%description devel
Developement libraries and headers for Nessus, the remote security scanner.
You will need this package to build new plugins or to update your existing
ones.

%prep
%setup -q -n %{name}
%if %{_lib} == "lib64"
%patch0 -p1 -b .lib64~
%endif

%build
%configure \
	--enable-release \
	--enable-nessuspcap \
	--enable-cipher
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}/usr/sbin/uninstall-nessus
rm -f %{buildroot}%{_includedir}/nessus/config.h
rm -f %{buildroot}%{_includedir}/nessus/includes.h

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu Mar 24 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.4-1m)
- minor feature enhancements

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.3-1m)
- minor feature enhancements

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.2.2a-2m)
- enable x86_64.

* Tue Dec 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.2a-1m)
- major feature enhancements

* Sun Aug 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.12-1m)
- major bugfixes

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.10a-2m)
- revised spec for enabling rpm 4.2.
- removed uninstall-nessus.

* Thu Mar 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.10a-1m)

* Sun Nov  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.9-1m)
- minor feature enhancements

* Fri Oct  3 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.8-1m)
- minor bugfixes

* Sat Jul 12 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.7-1m)

* Wed Jun 18 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-2m)
- split.

* Fri May 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.6-1m)

* Sat Apr 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.4-1m)

* Fri Apr  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.3-1m)

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.1-2m)
  rebuild against openssl 0.9.7a

* Sat Mar  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.1-1m)
- major feature enhancements

* Thu Dec 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7-1m)
- minor bugfixes

* Mon Oct 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.6-1m)
- major feature enhancements

* Sat Sep 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.5-1m)

* Mon Aug 12 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.4-1m)
- use '%configure' macro again

* Mon Jul  8 2002 YAMAZAKI Makoto <zaki@momonga-linux.org>
- (1.2.3-3m)
- add export PATH="%{buildroot}%{_sbindir}:$PATH"

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.3-2m)
- rename 'nessus-common' to 'nessus'
- add some man pages and documents

* Thu Jul  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.3-1m)

* Wed Jul  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-1m)
- import from freshrpm
- not run nessusd in any run level by default

* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Apr 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.0, woohoo! :-)

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.14.

* Mon Jan 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.12 at last.

* Tue Nov  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.8.
- Added nessus-mkrand to the server's %files.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.7.

- Update to 1.1.6.
* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the missing nessus-mkcert and CA dirs (thanks to Yosi Markovich).
- Now enabled syslog logging and tcp_wrappers.
- To rebuild this RPM, it seems that you now have to uninstall any older
  version from your system or else its libs will get found and things
  won't be as expected ;-)

* Tue Oct 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.6.
- Removed all the obsolete peks stuff from the spec.

* Sun Sep  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.4.

* Thu Aug  9 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.3... not released : Didn't compile.

* Fri Aug  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Simplifications on the spec file, there's always more!
- Enabled many of the nifty experimental features that exist :-)
- Put the nmap build requires back in : the plugins need it.
- Added a require for wget in the server to update the plugins.

* Tue Jul 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.2, nessus 1.2 ahead!
- Spec file cleanup, mostly %%configure macros working again.
- Moved the libs and man pages around to make a bit more sense.
- Changed the client's "Group:", bacause "Base" wasn't quite right.
- Switched the plugins <-> server dependency and added gmp.
- Merged the server and the plugins... should have done this before,
  it's been confusing the newbies for some time ;-)
- Added a GNOME menu entry for the GTK+ client.
- A few other tweaks...

* Thu May 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.8.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.
- Updated the init script for 7.1 also.
- gunzip'ed and bzip2 -9'ed the tar sources to take less bandwith with
  the SRPM ;-)

* Fri Feb  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Complete rewrite of the spec file, a tough one! :-)
- Renamed the "nessus" package to "nessus-server"
- Update to 1.0.7a
- Changed the config files
- Etc. (so many changes!)

* Wed Nov 22 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- updated the spec file for RedHat 7.0, nessus 1.0.6
- redid the init script for RedHat 7.0

* Sun Sep 17 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.5

* Wed Aug 1 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.4

* Sat Jul 8 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.3 already

* Fri Jul 7 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2 - 2

* Wed Jul 5 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2

* Mon Jun 26 2000 Henri Gomez <hgomez@slib.fr>
- nessus 1.0.1

* Fri Apr 21 2000 Klaus Knopper <knopper@linuxtag.de>
- User-buildable RPM for 1.0.0pre2

* Sun Apr 16 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre2

* Mon Apr 10 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre1

* Thu Mar 30 2000 Renaud Deraison <deraison@cvs.nessus.org>
- fixed sysconfdir weirdnesses
- nessus 0.99.10

* Wed Mar 22 2000 Renaud Deraison <deraison@cvs.nessus.org>
- no patch to nessus-plugins
- nessus 0.99.9

* Mon Mar 20 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.8.1

* Sun Mar 19 2000 Renaud Deraison <deraison@cvs.nessus.org>
- gmp not needed
- removed the nasl_guide* files
- nessus 0.99.8

* Mon Feb 28 2000 Renaud Deraison <deraison@cvs.nessus.org>
- patch to nessus-core

* Sun Feb 27 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.6

* Fri Feb 18 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1 R2
- patch nessus-libraries

* Thu Feb 17 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1
- multiples corrections of 0.99.5

* Tue Feb 15 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5
- /etc/nessusd/nessusd.conf change from 0.99.4 to 0.99.5

* Fri Jan 14 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.4
- the nessusd.rules (in /etc/nessus) is in accept by default now.

* Wed Jan  4 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.3
 
* Tue Dec 28 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.99.2
- rework of RPM, reuse of crypto channels
- update faq/nasl files to latest versions from nessus.org
- nessus server init script (/etc/rc.d/init.d) renamed to nessusd
- prompt at install for creating initial account
  
* Wed Nov 3 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.9.4
- added post 0.9.4 scripts (an_httpd_cgis, hotsync, rfpoison)
- changed nessusd.rules and nessusd.users to reflect format changes 

* Wed Oct 6 1999 Gomez Henri <gomez@slib.fr>
- nessus 0.9.3
- added mediahouse_statistics_server.nasl

* Wed Sep 22 1999 Ronan-Yan Lorin <ronan-yann.lorin@libertysurf.fr>
- nessus 0.9.2
- initial release

%files
%defattr(-, root, root)
%doc libnessus/COPYING README*
%{_libdir}/lib*.so.*
#gomi.
#%{_sbindir}/uninstall-nessus

%files devel
%defattr(-, root, root)
%{_includedir}/nessus
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_bindir}/nessus-config
%{_mandir}/man1/nessus-config.1*
